Page MenuHomePhabricator

[Sanitizers] Remove clang_rt.sancov_{begin,end} on Solaris
ClosedPublic

Authored by ro on Jun 20 2019, 7:19 AM.

Details

Summary

There's no point to manually create the __start___sancov_guards and __stop___sancov_guards
sections and labels on Solaris any longer. They were originally introduced in
https://reviews.llvm.org/D40899 and https://reviews.llvm.org/D40903.

  • The Solaris 11.4 ld supports creating them out of the box.
  • We already unconditionally use Solaris 11.4 features like the ld -z gnu-version-script-compat option and fully working .preinit_array support in compiler-rt.
  • The current files don't assemble on SPARC because the assembler syntax may be different between /bin/as and GNU as.

Tested on amd64-pc-solaris2.11, ok for trunk?

Diff Detail

Repository
rL LLVM

Event Timeline

ro created this revision.Jun 20 2019, 7:19 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJun 20 2019, 7:19 AM
Herald added subscribers: Restricted Project, fedor.sergeev, mgorny and 2 others. · View Herald Transcript
ro added a comment.Jun 27 2019, 11:05 PM

Ping? It's been a week and it's pretty trivial.

ro added a comment.Jul 4 2019, 5:00 PM

Ping^2. It's been two weeks now and the patch (with its companion https://reviews.llvm.org/D63602) should be pretty simple.

vitalybuka accepted this revision.Jul 8 2019, 1:51 PM
This revision is now accepted and ready to land.Jul 8 2019, 1:51 PM
This revision was automatically updated to reflect the committed changes.